
public class TestSet {
	public static double qalys[], costsaving[];
	public static int m;
	public TestSet(int n){
		qalys=new double[n];
		costsaving=new double[n];
		m=n;
		for(int i=0;i<n;i++){
		qalys[i]=0;
		costsaving[i]=0;
		}
	}
	//Calculates the socio-economic impact of a specific health intervention
	public static void main(String[] args){
		TestSet test=new TestSet(3);
		//Inputs: gender, age, country, ICF in mobility before intervention,
		//ICF in self-care before intervention, ICF in usual activities before intervention,
		//ICF in pain/discomfort before intervention, ICF in anxiety/depression before intervention,
		//ICF in mobility after intervention, ICF in self-care after intervention,
		//ICF in usual activities after intervention, ICF in pain/discomfort after intervention,
		//ICF in anxiety/depression after intervention,cost of disease, DALYs lost due to disease,
		//cost rehabilitation/day, days of rehabilitation
		CalculateImpact cal0= new CalculateImpact("Male",50,"ES",1,0,0,1,1,0,0,0,1,1, 1955000000, 109000, 14.05, 115);
		qalys[0]=cal0.qalys();
		costsaving[0]=cal0.costsaving();
		CalculateImpact cal1= new CalculateImpact("Male",59,"ES",0,0,0,2,2,0,0,0,0,0, 1955000000, 109000, 14.05, 157);
		qalys[1]=cal1.qalys();
		costsaving[1]=cal1.costsaving();
		CalculateImpact cal2= new CalculateImpact("Male",77,"ES",2,2,4,2,2,0,0,4,0,0, 1955000000, 109000, 14.05, 123);
		qalys[2]=cal2.qalys();
		costsaving[2]=cal2.costsaving();
		for(int j=0;j<m;j++){
			System.out.println(j+1+") QALYs gained= "+qalys[j]+", Cost Saving= "+costsaving[j]+" €");
		}
		
	}
}
